## gnome-rr-crtc

gnome-rr-crtc

## Synopsis

    #include <libgnomeui/gnome-rr.h>

    typedef             GnomeRRCrtc;
    enum                GnomeRRRotation;
    guint32             gnome_rr_crtc_get_id                (GnomeRRCrtc *crtc);
    gboolean            gnome_rr_crtc_set_config            (GnomeRRCrtc *crtc,
                                                             int x,
                                                             int y,
                                                             GnomeRRMode *mode,
                                                             GnomeRRRotation rotation,
                                                             GnomeRROutput **outputs,
                                                             int n_outputs,
                                                             GError **error);
    gboolean            gnome_rr_crtc_can_drive_output      (GnomeRRCrtc *crtc,
                                                             GnomeRROutput *output);
    GnomeRRMode *       gnome_rr_crtc_get_current_mode      (GnomeRRCrtc *crtc);
    void                gnome_rr_crtc_get_position          (GnomeRRCrtc *crtc,
                                                             int *x,
                                                             int *y);
    gboolean            gnome_rr_crtc_supports_rotation     (GnomeRRCrtc *crtc,
                                                             GnomeRRRotation rotation);
    GnomeRRRotation     gnome_rr_crtc_get_current_rotation  (GnomeRRCrtc *crtc);
    GnomeRRRotation     gnome_rr_crtc_get_rotations         (GnomeRRCrtc *crtc);

## Description

## Details

### GnomeRRCrtc

    typedef struct GnomeRRCrtc GnomeRRCrtc;

### enum GnomeRRRotation

    typedef enum
    {
        GNOME_RR_ROTATION_0 = (1 << 0),
        GNOME_RR_ROTATION_90 = (1 << 1),
        GNOME_RR_ROTATION_180 = (1 << 2),
        GNOME_RR_ROTATION_270 = (1 << 3),
        GNOME_RR_REFLECT_X = (1 << 4),
        GNOME_RR_REFLECT_Y = (1 << 5)
    } GnomeRRRotation;

### gnome_rr_crtc_get_id ()

    guint32             gnome_rr_crtc_get_id                (GnomeRRCrtc *crtc);

`crtc` : |
Returns : |

### gnome_rr_crtc_set_config ()

    gboolean            gnome_rr_crtc_set_config            (GnomeRRCrtc *crtc,
                                                             int x,
                                                             int y,
                                                             GnomeRRMode *mode,
                                                             GnomeRRRotation rotation,
                                                             GnomeRROutput **outputs,
                                                             int n_outputs,
                                                             GError **error);

### Warning

`gnome_rr_crtc_set_config` is deprecated and should not be used in newly-written code.

`crtc` : |
`x` : |
`y` : |
`mode` : |
`rotation` : |
`outputs` : |
`n_outputs` : |
`error` : |
Returns : |

### gnome_rr_crtc_can_drive_output ()

    gboolean            gnome_rr_crtc_can_drive_output      (GnomeRRCrtc *crtc,
                                                             GnomeRROutput *output);

`crtc` : |
`output` : |
Returns : |

### gnome_rr_crtc_get_current_mode ()

    GnomeRRMode *       gnome_rr_crtc_get_current_mode      (GnomeRRCrtc *crtc);

`crtc` : |
Returns : |

### gnome_rr_crtc_get_position ()

    void                gnome_rr_crtc_get_position          (GnomeRRCrtc *crtc,
                                                             int *x,
                                                             int *y);

`crtc` : |
`x` : |
`y` : |

### gnome_rr_crtc_supports_rotation ()

    gboolean            gnome_rr_crtc_supports_rotation     (GnomeRRCrtc *crtc,
                                                             GnomeRRRotation rotation);

`crtc` : |
`rotation` : |
Returns : |

### gnome_rr_crtc_get_current_rotation ()

    GnomeRRRotation     gnome_rr_crtc_get_current_rotation  (GnomeRRCrtc *crtc);

`crtc` : |
Returns : |

### gnome_rr_crtc_get_rotations ()

    GnomeRRRotation     gnome_rr_crtc_get_rotations         (GnomeRRCrtc *crtc);

`crtc` : |
Returns : |